Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Create collection
        • Delete collection
        • Delete collections
        • Get collection breadcrumbs
        • Get collection
        • Get collections list by ids
        • Get collection content
        • Get root collection permissions
        • Move collection
        • Move collections
        • Update collection
        • Update collection access bindings
        • List collection access bindings
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • EntryScope
  • StructureItemEntry
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Collection
  4. Get collection content
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • EntryScope
    • StructureItemEntry

Get collection content

Returns the content of the specified collection.

RequestRequest

POST

https://api.datalens.tech/rpc/getCollectionContent

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

x-dl-audit-mode

Type: string

Const: true

Example: ``

BodyBody

application/json
{
  "collectionId": "example",
  "page": "example",
  "filterString": "example",
  "orderField": "title",
  "orderDirection": "asc",
  "onlyMy": true,
  "mode": "all",
  "pageSize": 0.5,
  "includePermissionsInfo": true
}

Name

Description

collectionId

Type: string | null

ID of the collection whose content to retrieve.

Example: example

filterString

Type: string

Filter collection content by title.

Example: example

includePermissionsInfo

Type: boolean

Include permission information in the response.

mode

Type: string

Types of items to include in the response.

Enum: all, onlyCollections, onlyWorkbooks, onlyEntries

onlyMy

Type: boolean

Return only items created by the current user.

orderDirection

Type: string

Collection content sorting direction.

Enum: asc, desc

orderField

Type: string

Field to order collection content by.

Enum: title, createdAt, updatedAt

page

Type: string | null

Token identifying the page of collection content to retrieve.

Example: example

pageSize

Type: number

Number of collection items per page.

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "items": [
    {
      "collectionId": "example",
      "title": "example",
      "description": "example",
      "parentId": "example",
      "tenantId": "example",
      "createdBy": "example",
      "createdAt": "example",
      "updatedBy": "example",
      "updatedAt": "example",
      "meta": {},
      "entity": "collection",
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "createSharedEntry": true,
        "createCollection": true,
        "createWorkbook": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true
      }
    }
  ],
  "nextPageToken": "example"
}

Name

Description

items

Type: array
One of 3 types
  • Type: object

    collectionId

    Type: string

    Unique identifier of the collection.

    Example: example

    createdAt

    Type: string

    Creation timestamp.

    Example: example

    createdBy

    Type: string

    ID of the user who created the collection.

    Example: example

    description

    Type: string | null

    Description of the collection.

    Example: example

    entity

    Type: string

    Indicates that the item is a collection.

    Const: collection

    Example: example

    meta

    Type: object

    [additional]

    Type: unknown

    Example: null

    Metadata associated with the collection.

    Example
    {}
    

    parentId

    Type: string | null

    ID of the parent collection.

    Example: example

    tenantId

    Type: string

    ID of the DataLens tenant.

    Example: example

    title

    Type: string

    Title of the collection.

    Example: example

    updatedAt

    Type: string

    Last update timestamp.

    Example: example

    updatedBy

    Type: string

    ID of the user who last updated the collection.

    Example: example

    permissions

    Type: object

    copy

    Type: boolean

    Indicates if the collection can be copied.

    createCollection

    Type: boolean

    Indicates if child collections can be created in the collection.

    createSharedEntry

    Type: boolean

    Indicates if shared entries can be created in the collection.

    createWorkbook

    Type: boolean

    Indicates if workbooks can be created in the collection.

    delete

    Type: boolean

    Indicates if the collection can be deleted.

    limitedView

    Type: boolean

    Indicates if the collection can be viewed with limited access.

    listAccessBindings

    Type: boolean

    Indicates if access bindings for the collection can be listed.

    move

    Type: boolean

    Indicates if the collection can be moved.

    update

    Type: boolean

    Indicates if the collection can be updated.

    updateAccessBindings

    Type: boolean

    Indicates if access bindings for the collection can be updated.

    view

    Type: boolean

    Indicates if the collection can be viewed.

    Permissions for the collection.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "createSharedEntry": true,
      "createCollection": true,
      "createWorkbook": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true
    }
    
    Example
    {
      "collectionId": "example",
      "title": "example",
      "description": "example",
      "parentId": "example",
      "tenantId": "example",
      "createdBy": "example",
      "createdAt": "example",
      "updatedBy": "example",
      "updatedAt": "example",
      "meta": {},
      "entity": "collection",
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "createSharedEntry": true,
        "createCollection": true,
        "createWorkbook": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true
      }
    }
    
  • Type: object

    collectionId

    Type: string | null

    ID of the collection the workbook belongs to.

    Example: example

    createdAt

    Type: string

    Creation timestamp.

    Example: example

    createdBy

    Type: string

    ID of the user who created the workbook.

    Example: example

    description

    Type: string | null

    Description of the workbook.

    Example: example

    entity

    Type: string

    Indicates that the item is a workbook.

    Const: workbook

    Example: example

    meta

    All of 2 types
    • Type: object

      importId

      Type: string

      ID of the workbook import operation.

      Example: example

      Example
      {
        "importId": "example"
      }
      
    • Type: object

      [additional]

      Type: unknown

      Example: null

      Example
      {}
      

    Metadata associated with the workbook.

    Example
    {
      "importId": "example"
    }
    

    tenantId

    Type: string

    ID of the DataLens tenant.

    Example: example

    title

    Type: string

    Title of the workbook.

    Example: example

    updatedAt

    Type: string

    Last update timestamp.

    Example: example

    updatedBy

    Type: string

    ID of the user who last updated the workbook.

    Example: example

    workbookId

    Type: string

    Unique identifier of the workbook.

    Example: example

    permissions

    Type: object

    copy

    Type: boolean

    Indicates if the workbook can be copied.

    delete

    Type: boolean

    Indicates if the workbook can be deleted.

    embed

    Type: boolean

    Indicates if entries in the workbook can be embedded.

    limitedView

    Type: boolean

    Indicates if the workbook can be viewed with limited access.

    listAccessBindings

    Type: boolean

    Indicates if access bindings for the workbook can be listed.

    move

    Type: boolean

    Indicates if the workbook can be moved.

    publish

    Type: boolean

    Indicates if entries in the workbook can be published.

    update

    Type: boolean

    Indicates if the workbook can be updated.

    updateAccessBindings

    Type: boolean

    Indicates if access bindings for the workbook can be updated.

    view

    Type: boolean

    Indicates if the workbook can be viewed.

    Permissions for the workbook.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "publish": true,
      "embed": true,
      "delete": true
    }
    

    status

    Type: string

    Status of the workbook.

    Enum: creating, deleting, active, deleted

    Example
    {
      "workbookId": "example",
      "collectionId": "example",
      "title": "example",
      "description": "example",
      "tenantId": "example",
      "meta": {
        "importId": "example"
      },
      "createdBy": "example",
      "createdAt": "example",
      "updatedBy": "example",
      "updatedAt": "example",
      "status": "creating",
      "entity": "workbook",
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "publish": true,
        "embed": true,
        "delete": true
      }
    }
    
  • Type: StructureItemEntry

    Example
    {
      "collectionId": "example",
      "updatedAt": "example",
      "workbookId": "example",
      "scope": "dash",
      "type": "example",
      "key": "example",
      "entryId": "example",
      "entity": "entry",
      "displayKey": "example",
      "title": "example",
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true,
        "createEntryBinding": true,
        "createLimitedEntryBinding": true
      }
    }
    

List of collection content items.

Example
[
  {
    "collectionId": "example",
    "title": "example",
    "description": "example",
    "parentId": "example",
    "tenantId": "example",
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "meta": {},
    "entity": "collection",
    "permissions": {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "createSharedEntry": true,
      "createCollection": true,
      "createWorkbook": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true
    }
  }
]

nextPageToken

Type: string | null

Token for retrieving the next page of results.

Example: example

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

StructureItemEntryStructureItemEntry

Name

Description

collectionId

Type: string

ID of the collection the entry belongs to.

Example: example

displayKey

Type: string

Display key of the entry.

Example: example

entity

Type: string

Indicates that the item is an entry.

Const: entry

Example: example

entryId

Type: string

Unique identifier of the entry.

Example: example

key

Type: string

Key identifier of the entry.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

title

Type: string

Title of the entry.

Example: example

type

Type: string

Type of the entry.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

workbookId

Type: string | null

ID of the workbook the entry belongs to.

Example: example

permissions

Type: object

copy

Type: boolean

Permission to copy.

createEntryBinding

Type: boolean

Permission to create entry binding.

createLimitedEntryBinding

Type: boolean

Permission to create limited entry binding.

delete

Type: boolean

Permission to delete.

limitedView

Type: boolean

Permission for limited viewing.

listAccessBindings

Type: boolean

Permission to list access bindings.

move

Type: boolean

Permission to move.

update

Type: boolean

Permission to update.

updateAccessBindings

Type: boolean

Permission to update access bindings.

view

Type: boolean

Permission to view.

Permissions for the entry.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "delete": true,
  "createEntryBinding": true,
  "createLimitedEntryBinding": true
}
Example
{
  "collectionId": "example",
  "updatedAt": "example",
  "workbookId": "example",
  "scope": "dash",
  "type": "example",
  "key": "example",
  "entryId": "example",
  "entity": "entry",
  "displayKey": "example",
  "title": "example",
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true,
    "createEntryBinding": true,
    "createLimitedEntryBinding": true
  }
}

Была ли статья полезна?

Предыдущая
Get collections list by ids
Следующая
Get root collection permissions
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»